data:extend(
  {
  {
    type = "item",
    name = "drug-furnace",
    icon = "__druglab__/graphics/icons/drug-furnace.png",
    flags = {"goes-to-quickbar"},
    subgroup = "drug-equipment",
    order = "f[deepdrill]",
    place_result = "drug-furnace",
    stack_size = 10,
  },
  {
    type = "assembling-machine",
    name = "drug-furnace",
    icon = "__druglab__/graphics/icons/drug-furnace.png",
    flags = {"placeable-neutral","player-creation"},
    minable = {mining_time = 1, result = "drug-furnace"},
	fast_replaceable_group = "drug-furnace",
    max_health = 300,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
    selection_box = {{-0.9, -0.9}, {0.9, 0.9}},
    module_specification =
    {
      module_slots = 1
    },
    allowed_effects = {"consumption", "pollution", "productivity"},
    crafting_categories = {"advanced-smelting"},
    crafting_speed = 1.5,
       energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.01,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 0.5,
          position = {0, 0},
          starting_vertical_speed = 0.05
        }
      }
    },
    energy_usage = "125kW",
    ingredient_count = 4,
        animation =
    {
      layers = {
        {
          filename = "__druglab__/graphics/entity/advanced-furnace/advanced-furnace.png",
          priority = "high",
          width = 85,
          height = 87,
          frame_count = 1,
          shift = util.by_pixel(-1.5, 1.5),
          hr_version = {
            filename = "__druglab__/graphics/entity/advanced-furnace/hr-advanced-furnace.png",
            priority = "high",
            width = 171,
            height = 174,
            frame_count = 1,
            shift = util.by_pixel(-1.25, 2),
            scale = 0.5
          }
        },
        {
          filename = "__druglab__/graphics/entity/advanced-furnace/advanced-furnace-shadow.png",
          priority = "high",
          width = 139,
          height = 43,
          frame_count = 1,
          draw_as_shadow = true,
          shift = util.by_pixel(39.5, 11.5),
          hr_version = {
            filename = "__druglab__/graphics/entity/advanced-furnace/hr-advanced-furnace-shadow.png",
            priority = "high",
            width = 277,
            height = 85,
            frame_count = 1,
            draw_as_shadow = true,
            shift = util.by_pixel(39.25, 11.25),
            scale = 0.5
          }
        },
      },
    },
    working_visualisations =
    {
      {
        north_position = {0.0, 0.0},
        east_position = {0.0, 0.0},
        south_position = {0.0, 0.0},
        west_position = {0.0, 0.0},
        animation =
        {
          filename = "__druglab__/graphics/entity/advanced-furnace/advanced-furnace-fire.png",
          priority = "high",
          line_length = 8,
          width = 29,
          height = 40,
          frame_count = 48,
          axially_symmetrical = false,
          direction_count = 1,
          shift = util.by_pixel(-0.5, 6),
          hr_version = {
            filename = "__druglab__/graphics/entity/advanced-furnace/hr-advanced-furnace-fire.png",
            priority = "high",
            line_length = 8,
            width = 57,
            height = 81,
            frame_count = 48,
            axially_symmetrical = false,
            direction_count = 1,
            shift = util.by_pixel(-0.75, 5.75),
            scale = 0.5
          }
        },
        light = {intensity = 1, size = 1, color = {r = 1.0, g = 1.0, b = 1.0}}
      },
      {
        north_position = {0.0, 0.0},
        east_position = {0.0, 0.0},
        south_position = {0.0, 0.0},
        west_position = {0.0, 0.0},
        effect = "flicker", -- changes alpha based on energy source light intensity
        animation =
        {
          filename = "__druglab__/graphics/entity/advanced-furnace/advanced-furnace-glow.png",
          priority = "high",
          width = 60,
          height = 43,
          frame_count = 1,
          shift = {0.03125, 0.640625},
          blend_mode = "additive"
        }
      },
      {
        north_position = {0.0, 0.0},
        east_position = {0.0, 0.0},
        south_position = {0.0, 0.0},
        west_position = {0.0, 0.0},
        effect = "flicker", -- changes alpha based on energy source light intensity
        animation =
        {
          filename = "__druglab__/graphics/entity/advanced-furnace/advanced-furnace-working.png",
          priority = "high",
          line_length = 8,
          width = 64,
          height = 75,
          frame_count = 1,
          axially_symmetrical = false,
          direction_count = 1,
          shift = util.by_pixel(0, -4.5),
          blend_mode = "additive",
          hr_version = {
            filename = "__druglab__/graphics/entity/advanced-furnace/hr-advanced-furnace-working.png",
            priority = "high",
            line_length = 8,
            width = 130,
            height = 149,
            frame_count = 1,
            axially_symmetrical = false,
            direction_count = 1,
            shift = util.by_pixel(0, -4.25),
            blend_mode = "additive",
            scale = 0.5
          }
        }
      },
    },
     vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = { filename = "__druglab__/sound/tunnellight.ogg" },
      idle_sound = { filename = "__druglab__/sound/tunnellight.ogg", volume = 0.4 },
      apparent_volume = 2.9,
    },
    },
    }
    
   
)